Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class DSAParameters

    java.lang.Object
      java.security.AlgorithmParametersSpi
          com.ibm.crypto.pkcs11impl.provider.DSAParameters

    public class DSAParameters

extends java.security.AlgorithmParametersSpi

This class implements Digital Signature Algorithm paremters specified by FIPS 186 standard.

Field Summary
`protected java.math.BigInteger` | `g`
`protected java.math.BigInteger` | `p`
`protected java.math.BigInteger` | `q`

Constructor Summary
`DSAParameters(java.security.Provider provider)` Constructs a new instance of this class.

Method Summary
`protected byte[]` | `engineGetEncoded()` Returns the parameters in encoded bytes.
`protected byte[]` | `engineGetEncoded(java.lang.String encodingMethod)` Returns the parameters in encoded bytes with encoding method specified.
`protected
`<T extends java.security.spec.AlgorithmParameterSpec> T`
` | `engineGetParameterSpec(java.lang.Class<T> paramSpec)` Return the parameter spec used by this parameter instance.
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)` Initialize the DSAParameters by a DSAParameterSpec
`protected void` | `engineInit(byte[] params)` Initialize the DSAParameters by encoded bytes
`protected void` | `engineInit(byte[] params, java.lang.String decodingMethod)` Initialize the DSAParameters by encoded bytes with the specified decoding method.
`protected java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### p

    protected java.math.BigInteger p

### q

    protected java.math.BigInteger q

### g

    protected java.math.BigInteger g

Constructor Detail

### DSAParameters

    public DSAParameters(java.security.Provider provider)

  Constructs a new instance of this class.

Method Detail

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Initialize the DSAParameters by a DSAParameterSpec

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Parameters:
    `paramSpec` - the DSA algorithm parameter spec for this instance.
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Initialize the DSAParameters by encoded bytes

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Parameters:
    `params` - the encoded bytes of the parameters.
  Throws:
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String decodingMethod)
                       throws java.io.IOException

  Initialize the DSAParameters by encoded bytes with the specified decoding method.

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Parameters:
    `params` - the encoded bytes of the parameters.
    `decodingMethod` - the decoding method to be used.
  Throws:
    `java.io.IOException`

### engineGetParameterSpec

    protected <T extends java.security.spec.AlgorithmParameterSpec> T engineGetParameterSpec(java.lang.Class<T> paramSpec)
                                                                                  throws java.security.spec.InvalidParameterSpecException

  Return the parameter spec used by this parameter instance.

  Specified by:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
  Parameters:
    `paramSpec` - the parameter spec class to be returned
  Returns:
    AlgorithmParameterSpec the newly generated parameterSpec
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineGetEncoded

    protected byte[] engineGetEncoded()
                               throws java.io.IOException

  Returns the parameters in encoded bytes.

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Returns:
    byte[] the encoded parameters
  Throws:
    `java.io.IOException`

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String encodingMethod)
                               throws java.io.IOException

  Returns the parameters in encoded bytes with encoding method specified.

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Returns:
    byte[] encoded parameters.
  Throws:
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

  Specified by:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD